merge with crew-stable
authorThomas Arendsen Hein <thomas@intevation.de>
Fri, 31 Aug 2007 12:40:23 +0200
changeset 5272 89696e71bd89
parent 5270 6e0f05f6f68d (current diff)
parent 5271 5c2ca6d6ab21 (diff)
child 5273 4287590a63af
merge with crew-stable
--- a/tests/test-convert-git
+++ b/tests/test-convert-git
@@ -7,12 +7,12 @@ echo "convert=" >> $HGRCPATH
 
 mkdir git-repo
 cd git-repo
-git init
+git init-db >/dev/null 2>/dev/null
 echo a > a
 git add a
-git commit -m t1 > /dev/null || echo "git commit error"
+git commit -m t1 >/dev/null 2>/dev/null || echo "git commit error"
 echo b >> a
-git commit -a -m t2 > /dev/null || echo "git commit error"
+git commit -a -m t2 >/dev/null || echo "git commit error"
 cd ..
 
 hg convert git-repo
--- a/tests/test-convert-git.out
+++ b/tests/test-convert-git.out
@@ -1,4 +1,3 @@
-Initialized empty Git repository in .git/
 assuming destination git-repo-hg
 initializing destination git-repo-hg repository
 scanning source...